<html>
<head>
<title>Components - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#groups">Modules</a> &#124;
<a href="#files">Files</a>  </div>
  <div class="headertitle">
<div class="title">Components</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Components:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Optional.gif" border="0" alt="" usemap="#group____Optional"/>
<map name="group____Optional" id="group____Optional">
<area shape="rect" id="node2" href="group__Property.html" title="Property" alt="" coords="361,5,431,35"/><area shape="rect" id="node3" href="group__Terrain.html" title="Some details on the terrain component." alt="" coords="365,59,427,88"/><area shape="rect" id="node4" href="group__Paging.html" title="Some details on paging component." alt="" coords="365,164,427,193"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html">Ogre::Grid3DPageStrategyData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>.  <a href="classOgre_1_1Grid3DPageStrategyData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageStrategyData.html">Ogre::PageStrategyData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract marker class representing the data held against the <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a> which is specifically used by the <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>.  <a href="classOgre_1_1PageStrategyData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html">Ogre::SimplePageContentCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> which just provides a simple list of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  <a href="classOgre_1_1SimplePageContentCollection.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="groups"></a>
Modules</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Paging.html">Paging</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>Some details on paging component. </p>
<br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Property.html">Property</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Terrain.html">Terrain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>Some details on the terrain component. </p>
<br/></td></tr>
<tr><td colspan="2"><h2><a name="files"></a>
Files</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePageFileFormats_8h.html">OgrePageFileFormats.h</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>The paging file format is a composite one - a single file / stream can contain data which is not necessarily all read by a single class. </p>
<br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
